#include <iostream>
#include <string.h>

using namespace std;

int main()
{
    int N,M,i,brojac,j,l,b;
    bool p=false;
    brojac=0;
    l=0;
    char T[5000];
    char S[100];
    gets (T);
    gets (S);
    char *P=T;
    N = strlen(T);
    M = strlen(S);
    // Ako je zabranjena rec a ili sva slova zabranjene reci su a
    while (S[i]==S[0])
    {
        b++;
        i++;
    }
    if (S[i] == '\0')
    {
        int a=0;
        for (i=0; i<N; i++)
        {
            if (T[i] == S[0])
            {
                a++;
                if (a >= b)
                    T[i] = '*';
            }

        }
        int t=a-b;
        if (t < 0)
        {
            t=0;
            cout << t << endl;
        }
        else
        {
            t++;
            cout << t << endl;
        }
        for (i=0; i<N; i++)
            cout << T[i];
        return 0;
    }
    // Ako je zabranjena rec ab
    for (j=0; j<M; j++)
    {
        for (i=l; i<N; i++)
        {
            if (T[i]==S[j])
            {
                if (p)
                {
                    brojac++;
                    T[i]='*';
                }
                else
                {
                    p=true;
                    l=i+1;
                    break;
                }
            }
        }
    }
    cout << brojac << endl;
    for (i=0; i<N; i++)
        cout << T[i];
    return 0;
}